#### D.4.16.1 id

Procedure from library `modules.lib` (see modules_lib).

Usage:
  id(n); n integer

Return:
  returns the n x n identity matrix, with nongraded free modules for source and target

Example:

    LIB "modules.lib";
    ring r;
    int n=4;
    id(n);
    ==>     {0} {0} {0} {0}
    ==> {0}   1   0   0   0
    ==> {0}   0   1   0   0
    ==> {0}   0   0   1   0
    ==> {0}   0   0   0   1
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.